package com.microsoft.notes

import android.support.v4.app.Fragment

class FragmentReference<T : Fragment>(val initiazer: () -> T) {
    private var lazyFragment: Lazy<T> = create()

    val fragment: T
        get() = lazyFragment.value

    var state: Fragment.SavedState? = null
        set(value) {
            field = value
            if (lazyFragment.isInitialized())
                fragment.setInitialSavedState(value)
        }

    fun restoreFragment(fragment: T) {
        lazyFragment = lazyOf(fragment)
    }

    fun recreate() {
        lazyFragment = create()
    }

    private fun create(): Lazy<T> = lazy {
        val fragment = initiazer()
        fragment.setInitialSavedState(state)
        fragment
    }
}
