package com.microsoft.notes.appstore

import com.microsoft.notes.appstore.action.Action
import com.microsoft.notes.store.Subscriber
import com.microsoft.notes.utils.threading.ThreadExecutor
import java.util.concurrent.CopyOnWriteArrayList

abstract class SideEffect(executeOnThisThread: ThreadExecutor? = null) : Subscriber<Action>(executeOnThisThread)

abstract class StateHandler(executeOnThisThread: ThreadExecutor? = null) : Subscriber<AppState>(executeOnThisThread)

fun CopyOnWriteArrayList<SideEffect>.dispatch(action: Action) {
    forEach { it.onNext(action) }
}

fun CopyOnWriteArrayList<StateHandler>.dispatch(appState: AppState) {
    forEach { it.onNext(appState) }
}