package com.microsoft.notes.appstore.action

import com.microsoft.notes.appstore.Navigation
import com.microsoft.notes.store.Color

sealed class NavigationAction : Action {

    class ShowArchivedNotesAction : NavigationAction()

    class HideArchivedNotesAction : NavigationAction()

    class ChangeColorFilterAction(val color: Color) : NavigationAction()

    class NavigateToAction(val navigation: Navigation) : NavigationAction()

    class NavigateBackAction : NavigationAction()

    class ResetNavigationAction(val navigation: List<Navigation>) : NavigationAction()
}