package com.microsoft.notes.appstore.action

import com.microsoft.notes.store.Color
import com.microsoft.notes.store.Note
import com.microsoft.notes.store.extensions.describe

sealed class NoteUIAction : Action {

    data class ChangeNoteBackgroundAction(val localId: String?, val color: Color) : NoteUIAction()

    data class FetchNoteDetailsAction(val localId: String) : NoteUIAction()

    data class NotesCollectionUpdatedAction(val notesCollection: List<Note>) : NoteUIAction() {
        override fun toString(): String {
            return "${this::class.simpleName} : ${notesCollection.describe()}"
        }
    }
}