package com.microsoft.notes.appstore.reducer

import com.microsoft.notes.appstore.AppState
import com.microsoft.notes.appstore.action.ReadAction

object ReadReducer {

    fun reduce(action: ReadAction, currentAppState: AppState): AppState =
            currentAppState.copy(preferences = reducePreferences(action, currentAppState.preferences))

    fun reducePreferences(action: ReadAction, preferences: Map<String, String>): Map<String, String> =
            when (action) {
                is ReadAction.PreferencesLoadedAction -> action.preferences
                else -> preferences
            }
}
