package com.microsoft.notes.auth

import android.app.Activity
import android.content.Intent

interface AuthProvider {

    fun login(activity: Activity, onSuccess: (() -> Unit)? = null,
              onError: ((AuthFailedReason) -> Unit)? = null)

    fun logout()

    fun onResultAfterRequestToken(requestCode: Int, resultCode: Int, data: Intent?)
}

enum class AuthFailedReason {
    CANCELED,
    NETWORK_CONNECTION,
    NO_TOKEN,
    OTHER
}