package com.microsoft.notes.components

import com.microsoft.notes.appstore.Navigation
import com.microsoft.notes.appstore.ScrollTo
import com.microsoft.notes.store.Note

interface UiMainActivityComponent {
    val defaultView: Navigation
    fun navigateTo(navigation: Navigation)
    fun authenticate(method: String)
}

interface UiFragmentComponent<out T : ViewActivityComponent> {
    fun parent(): T
}

interface UiNotesFragmentComponent : UiFragmentComponent<ViewActivityComponent> {
    fun updateNotesCollection(notesCollection: List<Note>, scrollTo: ScrollTo)
}

interface UiEditNotesFragmentComponent : UiFragmentComponent<ViewActivityComponent> {
    fun setNoteDetails(note: Note)
}

