package com.microsoft.notes.extensions

import android.content.Context
import android.os.Build
import java.util.Locale

fun Context.getLocale(): Locale {
    @Suppress("DEPRECATION")
    return if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.N)
        resources.configuration.locales[0]
    else
        resources.configuration.locale
}

fun Context.formatString(stringId: Int, vararg args: String?): String =
        String.format(this.getString(stringId), *args)

fun Context.formatQuantityString(pluralId: Int, quantity: Int): String =
        this.resources.getQuantityString(pluralId, quantity, quantity)
