package com.microsoft.notes.noteslist.recyclerview

import android.support.v7.util.DiffUtil
import com.microsoft.notes.store.Note

class NotesDiffCallback(val oldList: List<Note>, val newList: List<Note>) : DiffUtil.Callback() {

    override fun areItemsTheSame(oldItemPosition: Int, newItemPosition: Int): Boolean {
        return oldList[oldItemPosition].localId == newList[newItemPosition].localId
    }

    override fun getOldListSize(): Int = oldList.size


    override fun getNewListSize(): Int = newList.size

    override fun areContentsTheSame(oldItemPosition: Int, newItemPosition: Int): Boolean {
        return oldList[oldItemPosition] == newList[newItemPosition]
    }
}