package com.microsoft.notes.photos

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.ImageView
import android.widget.TextView
import com.microsoft.notes.R

class PhotoPickerAdapter(context: Context, resource: Int, pickerItems: List<PhotoPickerItem>)
    : ArrayAdapter<PhotoPickerItem>(context, resource, pickerItems) {

    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
        var view = convertView
        val holder: ViewHolder

        if (view == null || view.tag !is ViewHolder) {
            view = LayoutInflater.from(context).inflate(R.layout.photo_picker_item_layout, parent, false)
            holder = ViewHolder(view)
            view.tag = holder
        } else {
            holder = view.tag as ViewHolder
        }

        val item = getItem(position)
        if (item != null) {
            holder.label.text = item.intentResolveInfo.loadLabel(context.packageManager)
            holder.icon.setImageDrawable(item.intentResolveInfo.loadIcon(context.packageManager))
        }
        return view!!
    }

    private inner class ViewHolder(view: View) {
        internal var label = view.findViewById<TextView>(R.id.photoPickerLabel)
        internal var icon = view.findViewById<ImageView>(R.id.photoPickerIcon)

    }
}