package com.microsoft.notes.search

import com.microsoft.notes.richtext.scheme.Paragraph
import com.microsoft.notes.richtext.scheme.isParagraph
import com.microsoft.notes.store.Note

fun List<Note>.dumbTextSearch(query: String): List<Note> = filter { note ->
    query.split(Regex("\\s+")).all { term ->
        (note.title.contains(term, ignoreCase = true)) ||
                note.document.blocks.any { block ->
                    block.isParagraph() && (block as Paragraph).content.text.contains(term, ignoreCase = true)
                }
    }
}
