package com.microsoft.notes.transition

import android.animation.TypeEvaluator
import android.view.ViewGroup.MarginLayoutParams
import android.widget.FrameLayout

class MarginLayoutParamsTypeEvaluator : TypeEvaluator<MarginLayoutParams> {
    override fun evaluate(fraction: Float, startValue: MarginLayoutParams, endValue: MarginLayoutParams)
            : MarginLayoutParams {
        val layoutParams = FrameLayout.LayoutParams(startValue)
        layoutParams.leftMargin = (startValue.leftMargin * (1 - fraction) + endValue.leftMargin * fraction).toInt()
        layoutParams.topMargin = (startValue.topMargin * (1 - fraction) + endValue.topMargin * fraction).toInt()
        layoutParams.width = (startValue.width * (1 - fraction) + endValue.width * fraction).toInt()
        layoutParams.height = (startValue.height * (1 - fraction) + endValue.height * fraction).toInt()
        return layoutParams
    }
}